﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Media.Capture;
using Windows.Media.Core;
using Windows.Media.Editing;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// La plantilla de elemento Página en blanco está documentada en http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace Proyecto34
{
    /// 

    /// Página vacía que se puede usar de forma independiente o a la que se puede navegar dentro de un objeto Frame.
    /// 

    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void Button_Click(object sender, RoutedEventArgs e)
        {
            CameraCaptureUI camara1 = new CameraCaptureUI();
            camara1.VideoSettings.Format = CameraCaptureUIVideoFormat.Mp4;

            StorageFile archivoVideo1 = await camara1.CaptureFileAsync(CameraCaptureUIMode.Video);

            if (archivoVideo1 != null)
            {
                MediaComposition mediaComposition1 = new MediaComposition();
                MediaClip mediaClip1 = await MediaClip.CreateFromFileAsync(archivoVideo1);

                mediaComposition1.Clips.Add(mediaClip1);
                MediaStreamSource mediaStreamSource1 = mediaComposition1.GeneratePreviewMediaStreamSource(
                    (int)mediaElement1.ActualWidth,
                    (int)mediaElement1.ActualHeight);

                mediaElement1.SetMediaStreamSource(mediaStreamSource1);
            }
        }
    }

}